SDL_GetJoystickHat(3)

NAME
SDL_GetJoystickHat - Get the current state of a POV hat on a joystick.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

Uint8 SDL_GetJoystickHat(SDL_Joystick *joystick, int hat);

#define SDL_HAT_CENTERED    0x00u
#define SDL_HAT_UP          0x01u
#define SDL_HAT_RIGHT       0x02u
#define SDL_HAT_DOWN        0x04u
#define SDL_HAT_LEFT        0x08u
#define SDL_HAT_RIGHTUP     (SDL_HAT_RIGHT|SDL_HAT_UP)
#define SDL_HAT_RIGHTDOWN   (SDL_HAT_RIGHT|SDL_HAT_DOWN)
#define SDL_HAT_LEFTUP      (SDL_HAT_LEFT|SDL_HAT_UP)
#define SDL_HAT_LEFTDOWN    (SDL_HAT_LEFT|SDL_HAT_DOWN)

DESCRIPTION
The returned value will be one of the SDL_HAT_* values.

FUNCTION PARAMETERS

joystick
    an SDL_Joystick structure containing joystick information.

hat the hat index to get the state from; indices start at index 0.

RETURN VALUE
Returns the current hat position.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetNumJoystickHats(3)